Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: production::Production Interface Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Member Functions | List of all members
production::Production Interface Reference

Methods used during production. More...

`import "Production.idl";`

## Public Member Functions
int | enterFactoryConfigMode (in string password)
| Enter factory configuration mode.
void | leaveFactoryConfigMode ()
| Leave factory configuration mode.
boolean | isFactoryConfigModeEnabled ()
| Check whether device is in factory configuration mode.
int | assignRandomRs485Addresses (in byte deviceId, in byte rangeStart, in byte rangeEnd)
| Instruct RS485 controllers to choose random bus addresses.

## Detailed Description

Methods used during production.

Definition at line 10 of file Production.idl.

## Member Function Documentation

## ◆ assignRandomRs485Addresses()

int production::Production::assignRandomRs485Addresses | ( | in byte | deviceId,
|  | in byte | rangeStart,
|  | in byte | rangeEnd )

Instruct RS485 controllers to choose random bus addresses.

This command is only allowed in factory configuration mode.

Parameters

  deviceId | Device ID of target controllers
  rangeStart | Start of address range
  rangeEnd | End of address range

Returns
  0 if OK
  1 if any parameter is invalid
  2 if the device is not in factory configuration mode

## ◆ enterFactoryConfigMode()

int production::Production::enterFactoryConfigMode | ( | in string | password | ) |

Enter factory configuration mode.

This mode unlocks several features which should only be available during production, e.g. the RS485 address assignment or sensor calibration. Factory configuration mode will be enabled until the next reboot or until leaveFactoryConfigMode is called.

Parameters

  password | Password required to enter factory config mdoe.

Returns
  0 if OK
  1 if the password is wrong

## ◆ isFactoryConfigModeEnabled()

boolean production::Production::isFactoryConfigModeEnabled | ( |  | ) |

Check whether device is in factory configuration mode.

Returns
  `true` if factory configuration mode is enabled

The documentation for this interface was generated from the following file:

- Production.idl